db4o |

# ExtClient Methods

The methods of the ExtClient interface are listed below. For a complete list of ExtClient interface members, see the ExtClient Members topic.

#### Public Instance Methods

IsAlive | checks if the client is currently connected to a server.
SwitchToFile | requests opening a different server database file for this client session.
SwitchToMainFile | requests switching back to the main database file after a previous call to
    switchToFile(String fileName)
.

#### See Also

ExtClient Interface | com.db4o.ext Namespace